--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: chi
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: pre
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "helper backend class: generic nested radix tree"
constants: []

full_name: Irc::NetmaskDb::Tree
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: empty?
- !ruby/object:RI::MethodSummary 
  name: find
- !ruby/object:RI::MethodSummary 
  name: find_helper
- !ruby/object:RI::MethodSummary 
  name: remove
name: Tree
superclass: Object
